__gnu_cxx::constant_unary_fun< _Result, _Argument >(3)

NAME
__gnu_cxx::constant_unary_fun< _Result, _Argument > -

SYNOPSIS

Inherits __gnu_cxx::_Constant_unary_fun< _Result, _Argument >.

  Public Types
typedef _Argument argument_type
typedef _Result result_type

  Public Member Functions
constant_unary_fun (const _Result &__v)
const result_type & operator() (const _Argument &) const

  Public Attributes
result_type _M_val

Detailed Description

  template<class _Result, class _Argument = _Result>struct __gnu_cxx::constant_unary_fun< _Result, _Argument >
An SGI extension .

Definition at line 312 of file ext/functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.